Register webhook
curl --request POST \
--url https://api.fincle.com.br/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://api.example.com/webhooks/fincle",
"events": [
"transaction_paid",
"transaction_refunded"
],
"name": "Financial management system",
"isActive": true
}
'import requests
url = "https://api.fincle.com.br/webhooks"
payload = {
"url": "https://api.example.com/webhooks/fincle",
"events": ["transaction_paid", "transaction_refunded"],
"name": "Financial management system",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://api.example.com/webhooks/fincle',
events: ['transaction_paid', 'transaction_refunded'],
name: 'Financial management system',
isActive: true
})
};
fetch('https://api.fincle.com.br/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://api.example.com/webhooks/fincle',
'events' => [
'transaction_paid',
'transaction_refunded'
],
'name' => 'Financial management system',
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 412,
"name": "Financial management system",
"url": "https://api.example.com/webhooks/fincle",
"events": [
"transaction_paid",
"transaction_refunded"
],
"isActive": true,
"productIds": [],
"offerIds": [],
"signatureSecretMasked": "••••••••9f2c",
"mtlsCapable": false,
"createdAt": "2026-08-14T11:02:00.000Z",
"updatedAt": "2026-09-08T16:40:00.000Z"
}
}{
"success": false,
"message": "Não foi possivel testar a url do webhook"
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Webhooks
Register webhook
Registers a notification endpoint for the selected events. The URL is verified at registration.
POST
/
webhooks
Register webhook
curl --request POST \
--url https://api.fincle.com.br/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://api.example.com/webhooks/fincle",
"events": [
"transaction_paid",
"transaction_refunded"
],
"name": "Financial management system",
"isActive": true
}
'import requests
url = "https://api.fincle.com.br/webhooks"
payload = {
"url": "https://api.example.com/webhooks/fincle",
"events": ["transaction_paid", "transaction_refunded"],
"name": "Financial management system",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://api.example.com/webhooks/fincle',
events: ['transaction_paid', 'transaction_refunded'],
name: 'Financial management system',
isActive: true
})
};
fetch('https://api.fincle.com.br/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://api.example.com/webhooks/fincle',
'events' => [
'transaction_paid',
'transaction_refunded'
],
'name' => 'Financial management system',
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://api.example.com/webhooks/fincle\",\n \"events\": [\n \"transaction_paid\",\n \"transaction_refunded\"\n ],\n \"name\": \"Financial management system\",\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 412,
"name": "Financial management system",
"url": "https://api.example.com/webhooks/fincle",
"events": [
"transaction_paid",
"transaction_refunded"
],
"isActive": true,
"productIds": [],
"offerIds": [],
"signatureSecretMasked": "••••••••9f2c",
"mtlsCapable": false,
"createdAt": "2026-08-14T11:02:00.000Z",
"updatedAt": "2026-09-08T16:40:00.000Z"
}
}{
"success": false,
"message": "Não foi possivel testar a url do webhook"
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL that receives the POST for each subscribed event.
Events subscribed by this endpoint. At least one is required.
Required array length:
1 - 17 elementsAvailable options:
transaction_created, transaction_paid, transaction_refunded, transaction_updated, transfer_completed, transfer_canceled, transfer_created, transfer_updated, infraction, card_declined, sale_lost, cart_abandoned, product_canceled, release_access, vturb_paid, vk_metrics_purchase, refund_requested Label of the webhook, used to recognize it in the list.
Required string length:
1 - 255false registers the webhook already paused.
Restricts the webhook to these products. When omitted, it applies to all products of the account.
Maximum array length:
50Pattern:
^[cC][^\s-]{8,}$Restricts the webhook to these offers. When omitted, it applies to all offers.
Maximum array length:
50Required range:
x > 0